TORNADO Computer Trading CMS SQL Injection Vulnerability

Published: 2015-05-21 06:26:09

CVSS Base Vector:
AV:N/AC:L/Au:N/C:P/I:P/A:P

Summary:
This host is installed with TORNADO CMS and is prone to sql injection vulnerability.

Detection Method:
Send a crafted data via HTTP GET request and check whether it is able execute sql query or not.

Technical Details:
Flaw exists as the input passed to 'our_services.php', 'detail.php' and 'products.php' scripts via 'id' parameter is not properly sanitized before returning to users.

Impact:
Successful exploitation will allow attackers to inject or manipulate SQL queries in the back-end database, allowing for the manipulation or disclosure of arbitrary data.

Affected Versions:
Tornado - Content Management System 2015 Q2

Recommendations:
No known solution was made available for at least one year since the disclosure of this vulnerability. Likely none will be provided anymore. General solution options are to upgrade to a newer release, disable respective features, remove the product or replace the product by another one.

Solution Type:
Vendor will not fix

Detection Type:
Remote Vulnerability

References:

http://packetstormsecurity.com/files/131796
http://www.securityfocus.com/archive/1/535465
http://www.vulnerability-lab.com/get_content.php?id=1489

Search
Severity
High
CVSS Score
7.5

You never have to pay for a vulnerability scanning and management software again.

Tired of paying a subscription 'per asset' or 'per IP'? Well you can officially cancel your current subscription. Mageni provides a free, open source and enterprise-ready vulnerability scanning and management platform which helps you to find, prioritize, remediate and manage your vulnerabilities. It is free and always will be.